Package org.pushingpixels.flamingo.api.bcb.core

# Class BreadcrumbTreeAdapterSelector.TreeCallback

java.lang.Object
org.pushingpixels.flamingo.api.bcb.BreadcrumbBarCallBack<Object>
org.pushingpixels.flamingo.api.bcb.core.BreadcrumbTreeAdapterSelector.TreeCallback

Enclosing class:
  `BreadcrumbTreeAdapterSelector`

public static class BreadcrumbTreeAdapterSelector.TreeCallback extends BreadcrumbBarCallBack<Object>
Tree-adapter specific implementation of the `BreadcrumbBarCallBack` .

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`isRootVisible`
If `true`, the first selector shows the tree root node.
`protected BreadcrumbTreeAdapterSelector.TreeAdapter`
`treeAdapter`
The corresponding tree adapter.
`protected TreeModel`
`treeModel`
The corresponding tree model.

### Fields inherited from class org.pushingpixels.flamingo.api.bcb.BreadcrumbBarCallBack

`throwsExceptions`

## Constructor Summary

Constructors
Constructor
Description
`TreeCallback(TreeModel treeModel, BreadcrumbTreeAdapterSelector.TreeAdapter treeAdapter, boolean isRootVisible)`
Creates the callback.

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getLeafContent(Object leaf)`
Returns the input stream with the leaf content.
`List<StringValuePair<Object>>`
`getLeafs(List<BreadcrumbItem<Object>> path)`
Returns the choice element that corresponds to the specified path.
`List<StringValuePair<Object>>`
`getPathChoices(List<BreadcrumbItem<Object>> path)`
Returns the choice element that corresponds to the specified path.

### Methods inherited from class org.pushingpixels.flamingo.api.bcb.BreadcrumbBarCallBack

`setThrowsExceptions, setup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### treeModel

protected TreeModel treeModel
The corresponding tree model.

### treeAdapter

protected BreadcrumbTreeAdapterSelector.TreeAdapter treeAdapter
The corresponding tree adapter. Can not be `null`.

### isRootVisible

protected boolean isRootVisible
If `true`, the first selector shows the tree root node. If `false`, the first selector shows the tree root child nodes.

## Constructor Details

### TreeCallback

public TreeCallback(TreeModel treeModel, BreadcrumbTreeAdapterSelector.TreeAdapter treeAdapter, boolean isRootVisible)
Creates the callback.

Parameters:
  `treeModel` - The corresponding tree model.
  `treeAdapter` - The corresponding tree adapter. Can not be `null`.
  `isRootVisible` - If `true`, the first selector shows the tree root node. If `false`, the first selector shows the tree root child nodes.

## Method Details

### getPathChoices

public List<StringValuePair<Object>> getPathChoices(List<BreadcrumbItem<Object>> path)
Description copied from class: `BreadcrumbBarCallBack`
Returns the choice element that corresponds to the specified path. If the path is empty, `null` should be returned. If path is `null`, the "root" elements should be returned

Overrides:
  `getPathChoices` in class `BreadcrumbBarCallBack<Object>`
Parameters:
  `path` - Breadcrumb bar path.
Returns:
  The choice element that corresponds to the specified path

### getLeafs

public List<StringValuePair<Object>> getLeafs(List<BreadcrumbItem<Object>> path)
Description copied from class: `BreadcrumbBarCallBack`
Returns the choice element that corresponds to the specified path. If the path is empty, `null` should be returned. If path is `null`, the "root" elements should be returned

Overrides:
  `getLeafs` in class `BreadcrumbBarCallBack<Object>`
Parameters:
  `path` - Breadcrumb bar path.
Returns:
  The choice element that corresponds to the specified path

### getLeafContent

public InputStream getLeafContent(Object leaf)
Description copied from class: `BreadcrumbBarCallBack`
Returns the input stream with the leaf content. Some implementations may return `null` if this is not applicable.

Overrides:
  `getLeafContent` in class `BreadcrumbBarCallBack<Object>`
Parameters:
  `leaf` - Leaf.
Returns:
  Input stream with the leaf content. May be `null` if this is not applicable.